# $Revision: 1.4 $
Summary:	Blursk - visualization plugin inspired by Blur Scope
Summary(pl):	Blursk - wtyczka wizualizujca zainspirowana Blur Scope
Name:		xmms-visualization-blursk
Version:	1.3
Release:	0.1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.cs.pdx.edu/~kirkenda/blursk/Blursk-%{version}.tar.gz
# Source0-md5:	d5f3b2785ba5148b23ffe335f4560b7e
URL:		http://www.cs.pdx.edu/~kirkenda/blursk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.2
BuildRequires:	libtool
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blursk is a visualization plugin for the XMMS player. It was inspired
by the "Blur Scope" plugin, but Blursk goes far beyond that. It
supports a wide variety of colormaps, blur patterns, plotting styles,
and other options. The only things that haven't changed are portions
of the XMMS interface and configuration code.

%description -l pl
Blursk to wtyczka wizualizujca dla odtwarzacza XMMS. Jest
zainspirowana wtyczk "Blur Scope", ale Blursk posuwa si dalej.
Obsuguje szeroki zakres map kolorw, wzorw plam, stylw rysowania i
innych opcji. Jedyn rzecz ktra nie zostaa zmieniona to fragmenty
interfejsu XMMS i kod konfiguracyjny.

%prep
%setup -q -n Blursk-%{version}

%{__perl} -pi -e 's@X11R6/lib"@X11R6/%{_lib}"@' configure.in
%{__perl} -pi -e 's@(AC_PROG_CC)@$1\nAM_PROG_AS@' configure.in
rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	XMMS_PATH=/usr/bin/xmms
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{xmms_visualization_plugindir}

rm -f $RPM_BUILD_ROOT%{xmms_visualization_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{xmms_visualization_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-visualization-blursk.spec,v $
Revision 1.4  2004/07/06 14:32:00  qboosh
- don't BR xmms, lib64 fix

Revision 1.3  2004/07/06 14:13:21  kolodko
- cp /usr/share/automake/config.sub .
- use macro %%configure

Revision 1.2  2004/03/29 18:27:54  qboosh
- descriptions (eh, lazy developers...)

Revision 1.1  2004/03/28 11:44:03  emes
- first release, dirty but works fine
